## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl
Class SwitchExpImpl

    java.lang.Object
      OCLExpressionImpl
          org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.ImperativeExpressionImpl
              org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.SwitchExpImpl

All Implemented Interfaces:
  ImperativeExpression, SwitchExp

    public class SwitchExpImpl

extends ImperativeExpressionImpl
implements SwitchExp

An implementation of the model object 'Switch Exp'.

The following features are implemented:

- `Alternative Part`
- `Else Part`

Field Summary
`protected <any>` `alternativePart` The cached value of the '`Alternative Part`' containment reference list
`protected OCLExpression` `elsePart` The cached value of the '`Else Part`' containment reference

Constructor Summary
`protected` `SwitchExpImpl()`

Method Summary

`

`<T,U extends <any>> T`

`

`accept(U v)`

`NotificationChain` `basicSetElsePart(OCLExpression newElsePart, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`<any>` `getAlternativePart()`
`OCLExpression` `getElsePart()`
`void` `setElsePart(OCLExpression newElsePart)`

Methods inherited from class org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.ImperativeExpressionImpl
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### alternativePart

    protected <any> alternativePart

  The cached value of the '`Alternative Part`' containment reference list.

  See Also:
    `getAlternativePart()`

### elsePart

    protected OCLExpression elsePart

  The cached value of the '`Else Part`' containment reference.

  See Also:
    `getElsePart()`

Constructor Detail

### SwitchExpImpl

    protected SwitchExpImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `ImperativeExpressionImpl`

### getAlternativePart

    public <any> getAlternativePart()

  Specified by:
    `getAlternativePart` in interface `SwitchExp`
  Returns:
    the value of the 'Alternative Part' containment reference list.
  See Also:
    `ImperativeOCLPackage.getSwitchExp_AlternativePart()`

### getElsePart

    public OCLExpression getElsePart()

  Specified by:
    `getElsePart` in interface `SwitchExp`
  Returns:
    the value of the 'Else Part' containment reference.
  See Also:
    `SwitchExp.setElsePart(OCLExpression)`, `ImperativeOCLPackage.getSwitchExp_ElsePart()`

### basicSetElsePart

    public NotificationChain basicSetElsePart(OCLExpression newElsePart,
                                              NotificationChain msgs)

### setElsePart

    public void setElsePart(OCLExpression newElsePart)

  Specified by:
    `setElsePart` in interface `SwitchExp`
  Parameters:
    `newElsePart` - the new value of the 'Else Part' containment reference.
  See Also:
    `SwitchExp.getElsePart()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### accept

    public <T,U extends <any>> T accept(U v)

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.